if (PACKAGE_ieee1905)

menu "Configuration"

config IEEE1905_EXTENSION_ALLOWED
	bool "Allow plugins to extend 1905 CMDUs and/or TLVs"
	default y

config IEEE1905_PLATFORM_HAS_WIFI
	bool "Platform has WiFi"
	default y if PACKAGE_libwifi

config IEEE1905_CMDU_SA_IS_ALMAC
	bool "Send CMDUs with SA set to 1905 AL-macaddress instead of interface macaddress"
	default n

config IEEE1905_WIFI_EASYMESH
	bool "Include WiFi-Alliance's Easymesh updates"
	default y

config IEEE1905_CMDU_FRAGMENT_TLV_BOUNDARY
	bool "Fragment large CMDU frame at TLV boundary instead of octet boundary"

config IEEE1905_BUILD_TR181_PLUGIN
	bool "Build TR-181 mapping module (responsible for Device.IEEE1905.)"
	default y

endmenu

endif
